LibreOffice LibreOffice 5.3 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
DateCondition Service Reference

`import"DateCondition.idl";`

Inheritance diagram for DateCondition:

## Exported Interfaces
interface | XConditionEntry

## Public Attributes
string | StyleName
long | DateType
| See com.sun.star.sheet.DateType for possible values. More...

## Additional Inherited Members
Public Member Functions inherited from XConditionEntry
long | getType ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Exported Interfaces

## ◆ XConditionEntry

interface XConditionEntry

## Member Data Documentation

## ◆ DateType

long DateType
| property

See com.sun.star.sheet.DateType for possible values.

## ◆ StyleName

string StyleName
| property

The documentation for this service was generated from the following file:

- com/sun/star/sheet/DateCondition.idl